Bug 112211 - FILEOPEN: RTF: Incorrect horizontal bullet position
Summary: FILEOPEN: RTF: Incorrect horizontal bullet position
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.0.0 target:5.4.3
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2017-09-04 12:12 UTC by Xisco Faulí
Modified: 2017-10-17 18:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.0 (150.80 KB, image/png)
2017-09-04 12:12 UTC, Xisco Faulí
Details
How it looks after the fixes (35.03 KB, image/png)
2017-10-04 08:45 UTC, Xisco Faulí
Details
How it looks after the second fix (34.82 KB, image/png)
2017-10-16 22:10 UTC, Xisco Faulí
Details
LO before 2nd fix vs Word (95.62 KB, image/png)
2017-10-17 14:52 UTC, Miklos Vajna
Details
LO after 2nd fix vs Word (105.27 KB, image/png)
2017-10-17 14:53 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-09-04 12:12:39 UTC
Created attachment 136009 [details]
comparison MSO 2010 and LibreOffice 6.0

Steps to reproduce:
1. Open attachment 103953 [details] from bug 82104

Observed behaviour: Last bullet's spacing in 'Instance Size' column is incorrect. Check image attached.

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 04d70c0999c716f5465631eca50945915ec607c4
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-09-04 12:13:40 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2017-07-31 20:43:51 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-08-01 08:12:29 (GMT)
commit	aaa6a5202a447fb4e86d5f016d8e79fbc34a3ed7 (patch)
tree	1306fda3eeb4f9f20e15f56809d0f3205a6087c8
parent	d99cc336d8476975a9fd7adf01b4b9f9cd917aaa (diff)
tdf#109790 RTF import: keep remembering paragraph style between \cell and \row
This is the opposite situation as tdf#44715, where the problem was that
style was not reset between in-cell paragraphs.

Here we don't want to reset the paragraph style too early, so that
direct (character) formatting isn't lost just because the theoretical
end-of-row character would not have the same direct formatting.

Bisected with bibisect-linux64-6.0

Adding Cc: to Miklos Vajna
Comment 2 Miklos Vajna 2017-09-13 23:05:59 UTC
I think this is an older problem, reverting f528f9499bd91b700c549575e88fa102cfffede9 works around the bug for me. I plan to take a look at this.
Comment 3 Commit Notification 2017-09-19 14:20:23 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c72a1a74b5b1064fc9cdf9994b11fce26d866e26

Related: tdf#112211 DOCX import: fix handling of missing first ind in <w:lvl>

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Miklos Vajna 2017-09-19 15:05:24 UTC
With the above I think we're closer to be able to fix bug 106953 in a way, so this bug doesn't happen, but we're not there yet.
Comment 5 Commit Notification 2017-09-26 09:12:44 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=56a695fddb915bcba13b088b5b2b4e0841d4acbc

tdf#112211 RTF import: fix unwanted direct formatting for left indents

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-09-26 15:45:43 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c324c0aa25d35e1f580079c80d40b80cd4bc3bf3&h=libreoffice-5-4

tdf#112211 RTF import: fix unwanted direct formatting for left indents

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2017-10-04 08:45:27 UTC
Created attachment 136750 [details]
How it looks after the fixes

Still reproducible in

Version: 6.0.0.0.alpha0+
Build ID: 6e3e4cd38b56d432c48cd7217885974e3f0519fd
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 8 Xisco Faulí 2017-10-04 08:46:13 UTC
Reopening as I can still reproduce the issue.
@Miklos, can you reproduce it on your end ?
Comment 9 Miklos Vajna 2017-10-06 22:27:20 UTC
Sigh, you're right. :-)

I've stripped down the original document to a minimal one, and while the above commit fixes the minimal document, the original one still has problems and I forgot to check that before marking this as resolved.
Comment 10 Commit Notification 2017-10-10 17:43:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=295cf49b81b8c008ec0ea2c92f7cf729d5523d4e

tdf#112211 RTF import: fix unwanted direct formatting for other indents

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2017-10-16 22:09:49 UTC
I can still reproduce it in

Version: 6.0.0.0.alpha0+
Build ID: d4daf634cd9ce8d422d49669c324a2220eba54a9
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Reopening...
Comment 12 Xisco Faulí 2017-10-16 22:10:17 UTC
Created attachment 137026 [details]
How it looks after the second fix
Comment 13 Miklos Vajna 2017-10-17 14:52:03 UTC
Created attachment 137055 [details]
LO before 2nd fix vs Word
Comment 14 Miklos Vajna 2017-10-17 14:53:31 UTC
Created attachment 137056 [details]
LO after 2nd fix vs Word
Comment 15 Miklos Vajna 2017-10-17 14:58:57 UTC
See the "before" comparison and the "after" one in the previous 2 comments. I think it shows clearly that the bullets (see the red stroked selection) had a bad horizontal position and the new result matches the Word result.

Ah, perhaps your "still reproduce" was for the vertical spacing of the paragraph, containing the bullet? If so, I wonder, would it work to have a separate bug for the vertical spacing (now that the horizontal position of the bullet is correct)?

I just worry about having a single whiteboard (to track backport status) for these relatively separate problems.

Otherwise thanks for checking the problem this deeply. ;-)
Comment 16 Xisco Faulí 2017-10-17 15:05:28 UTC
oh wait, actually you fixed another issue :D

Initially my report was about the last bullet line of the list being slightly separated from the rest of the list, which pointed me to aaa6a5202a447fb4e86d5f016d8e79fbc34a3ed7.

Yep, checking at your screenshots, the bullet's horizontal position is fixed :D

Yes, this can be closed as RESOLVED FIXED.

BTW, do you see the issue I meant to report initially? Should I report a new one ?
Comment 17 Miklos Vajna 2017-10-17 15:29:55 UTC
Great, so let's close this and please open a follow-up for the vertical position of the paragraph with the bullet.

Sorry, I should have read your initial description more carefully. :-)
Comment 18 Commit Notification 2017-10-17 18:21:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c71b0824c1f86d0966394b9e1ef4ebf7b6fa729&h=libreoffice-5-4

tdf#112211 RTF import: fix unwanted direct formatting for other indents

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.